#!/bin/sh

RUN_PLATON=/usr/libexec/platon/platon

export CHECKDEF=/usr/share/platon/check.def

if [ -z "$PLATHTM" -a -r /usr/share/doc/platon/pl000000.html ]; then
    export PLAHTM=/usr/share/doc/platon/
fi

name=`basename $0`

if [ "$name" = 's' ]; then
    PARAM='-s'
elif [ "$name" = 'pluton' ]; then
    PARAM='-p'
elif [ "$name" = 'cifchk' ]; then
    PARAM='-u'
elif [ "$name" = 'helena' ]; then
    PARAM='-k'
elif [ "$name" = 'stidy' ]; then
    PARAM='-Y'
else
    PARAM=''
fi

HelpPlaton() {
echo "PLATON is a versatile SHELX97 compatible multipurpose crystallographic tool."
echo ""
echo "usage: platon [option] [file]"
echo ""
echo "Available options:"
echo " '--help' - This Help"
echo ""
echo " '-' - No data from file Read (Switch to I/O window)"
echo " '-a' - ORTEP/ADP [PLOT ADP]"
echo " '-b' - CSD-Search [CALC GEOM CSD]"
echo " '-c' - Calc Mode [CALC]"
echo " '-d' - DELABS [CALC DELABS]"
echo " '-e' - MULABS"
echo " '-f' - HFIX"
echo " '-g' - GenRes-filter [CALC GEOM SHELX]"
echo " '-h' - HKL-CALC [ASYM GENERATE]"
echo " '-i' - Patterson PLOT"
echo " '-j' - GenSPF-filter [CALC GEOM EUCLID]"
echo " '-k' - HELENA"
echo " '-l' - ASYM VIEW"
echo " '-m' - ADDSYM (MISSYM) [CALC ADDSYM]"
echo " '-n' - ADDSYM SHELX"
echo " '-o' - Menu Off"
echo " '-p' - PLUTON Mode"
echo " '-q' - SQUEEZE [CALC SQUEEZE]"
echo " '-r' - RENAME (RES)"
echo " '-s' - SYSTEM-S"
echo " '-t' - TABLE Mode [TABLE]"
echo " '-u' - Validation Mode [VALIDATION]"
echo " '-v' - SOLV Mode [CALC SOLV]"
echo " '-w' - Difference Map Plot"
echo " '-x' - Fo-Map PLOT"
echo " '-y' - SQUEEZE-Map PLOT"
echo " '-z' - WRITE IDENT"
echo " '-A' - PLATON/ANIS"
echo " '-C' - GENERATE CIF for current data set (e.g. .spf or .res)"
echo " '-F' - SILENT NQA SYSTEM-S PATH (FILTER)"
echo " '-I' - AUTOFIT 2 MOLECULES"
echo " '-K' - CALC KPI"
echo " '-L' - TWINROTMAT (INTERACTIVE)"
echo " '-M' - TWINROTMAT (FILTER MODE)"
echo " '-N' - 'ADDSYM EQUAL SHELX' MODE"
echo " '-O' - PLOT ADP (PostScript)"
echo " '-P' - Powder Pattern from Iobs"
echo " '-Q' - Powder Pattern from Icalc"
echo " '-R' - Auto Renumber and Write SHELX.res"
echo " '-S' - CIF2RES + FCF2HKL filter"
echo " '-T' - TwinRotMat"
echo " '-U' - CIF-VALIDATION (without VALIDATION DOC)"
echo " '-V' - FCF-VALIDATION (LAUE)"
echo " '-W' - FCF-VALIDATION (BIJVOET)"
echo " '-X' - Stripped SHELXS86 (Direct Methods Only) Mode"
echo " '-Y' - Native Structure Tidy (Parthe & Gelato) Mode"
}

if [ "$#" -eq "0" -o "$1" = '--help' ]; then
    HelpPlaton
    exit
else
    $RUN_PLATON $PARAM $@
fi

